curl --request GET \
--url https://api.novig.com/nbx/v2/emm/orders/{orderId}import requests
url = "https://api.novig.com/nbx/v2/emm/orders/{orderId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.novig.com/nbx/v2/emm/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174002",
"outcomeId": "123e4567-e89b-12d3-a456-426614174000",
"marketId": "123e4567-e89b-12d3-a456-426614174003",
"price": 0.125,
"qty": 4200,
"originalQty": 4200,
"currency": "COIN",
"timestamp": "2023-10-05T12:00:00Z",
"status": "FILLED",
"flags": "ABC12345"
}Get order
Fetch details of a specific order using its unique identifier.
Rate limit: 128 requests per second.
Path Parameters
The server-generated UUID of the order to retrieve
Response
Order retrieved successfully.
The unique identifier of the order
"123e4567-e89b-12d3-a456-426614174002"
The ID of the outcome associated with this order
"123e4567-e89b-12d3-a456-426614174000"
The ID of the market associated with this order
"123e4567-e89b-12d3-a456-426614174003"
The limit price at which the order is placed
0.125
The remaining quantity of the order, denominated in Minimum Currency Units
4200
The original quantity of the order, denominated in Minimum Currency Units
4200
The currency in which the order is denominated
"COIN"
The timestamp when the order was placed
"2023-10-05T12:00:00Z"
The current status of the order
"FILLED"
The trader-specified metadata associated with the order
"ABC12345"